import React, { FC } from 'react';
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom';
import { HomePage } from 'components/HomePage/HomePage';
import { AuthUser } from 'components/AuthUser/AuthUser';
import { LandingPage } from 'components/LandingPage/LandingPage';
import { PrivateRoute } from 'components/api/PrivateRoute/PrivateRoute';
import { AuthRoutes, NonAuthRoutes } from 'components/api/routes';
import { Roles } from 'components/api/userRoles';

export const App: FC = () => (
  <Router>
    <div data-testid="App">
      <Switch>
        <Route path={NonAuthRoutes.signIn} component={AuthUser} />
        <Route exact path={NonAuthRoutes.home} component={LandingPage} />
        <PrivateRoute
          path={AuthRoutes.dashboard}
          Component={HomePage}
          requiredRoles={[Roles.admin, Roles.operator, Roles.senior]}
        />
      </Switch>
    </div>
  </Router>
);
